> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/cloud-ingest/generic.md).

# GENERIC

Generic integration operations

## Retrieve a generic configuration

> Returns the generic configuration for the integration instance with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{},{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra Catalog Cloud Ingestions API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra Catalog Cloud Ingestions API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{}}}}},"schemas":{"GenericConfiguration":{"required":["id","ingestibleId","value"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"ingestibleId":{"type":"string","format":"uuid"},"value":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/configuration":{"get":{"tags":["GENERIC"],"summary":"Retrieve a generic configuration","description":"Returns the generic configuration for the integration instance with the specified ID.","operationId":"getConfig","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Generic configuration","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericConfiguration"}}}},"403":{"description":"Reading configuration is now allowed."},"404":{"description":"No configuration is found by specified ingestible id."}}}}}}
```

## Create or update a generic configuration

> Creates or updates a generic configuration for the integration instance with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{},{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra Catalog Cloud Ingestions API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra Catalog Cloud Ingestions API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{}}}}},"schemas":{"SaveGenericConfigRequest":{"required":["configuration"],"type":"object","properties":{"configuration":{"type":"string"}}},"GenericConfiguration":{"required":["id","ingestibleId","value"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"ingestibleId":{"type":"string","format":"uuid"},"value":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/configuration":{"put":{"tags":["GENERIC"],"summary":"Create or update a generic configuration","description":"Creates or updates a generic configuration for the integration instance with the specified ID.","operationId":"saveConfig","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"Generic configuration to save.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveGenericConfigRequest"}}},"required":true},"responses":{"200":{"description":"Generic configuration is created or updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericConfiguration"}}}},"400":{"description":"Request body is invalid e.g. is not a JSON"},"403":{"description":"Saving a configuration to the given instance is not allowed"},"404":{"description":"No integration instance is found by specified ingestible id."}}}}}}
```

## Delete a generic configuration

> Deletes a generic configuration from the integration instance with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{},{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra Catalog Cloud Ingestions API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra Catalog Cloud Ingestions API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{}}}}},"schemas":{"GenericConfiguration":{"required":["id","ingestibleId","value"],"type":"object","properties":{"id":{"type":"string","format":"uuid"},"ingestibleId":{"type":"string","format":"uuid"},"value":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/configuration":{"delete":{"tags":["GENERIC"],"summary":"Delete a generic configuration","description":"Deletes a generic configuration from the integration instance with the specified ID.","operationId":"deleteConfig","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Generic configuration is deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericConfiguration"}}}},"403":{"description":"Deleting a configuration is not allowed"},"404":{"description":"No configuration is found by specified ingestible id."}}}}}}
```

## Retrieve data schema as part of generic configuration

> Returns data schema for the integration instance with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{},{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra Catalog Cloud Ingestions API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra Catalog Cloud Ingestions API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{}}}}}},"paths":{"/genericIntegration/{ingestibleId}/configuration/schema":{"get":{"tags":["GENERIC"],"summary":"Retrieve data schema as part of generic configuration","description":"Returns data schema for the integration instance with the specified ID.","operationId":"getSchema","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Data schema","content":{"application/json":{"schema":{"type":"string"}}}},"404":{"description":"No data schema is found by specified ingestible id."}}}}}}
```

## Retrieve a schedule

> Returns the schedule for the generic Edge capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/schedule":{"get":{"tags":["GENERIC"],"summary":"Retrieve a schedule","description":"Returns the schedule for the generic Edge capability with the specified ID.","operationId":"getGenericSchedule","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Capability synchronization schedule","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Add a schedule

> Adds a schedule for the generic Edge capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"AddGenericScheduleRequest":{"required":["cronExpression","cronTimeZone"],"type":"object","properties":{"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}},"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/schedule":{"post":{"tags":["GENERIC"],"summary":"Add a schedule","description":"Adds a schedule for the generic Edge capability with the specified ID.","operationId":"addGenericSchedule","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"workflow","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddGenericScheduleRequest"}}}},"responses":{"200":{"description":"Cloud synchronization schedule added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Update a schedule

> Updates the schedule for the generic Edge capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ChangeGenericScheduleRequest":{"required":["cronExpression","cronTimeZone"],"type":"object","properties":{"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"cronJson":{"type":"string"}}},"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/schedule":{"put":{"tags":["GENERIC"],"summary":"Update a schedule","description":"Updates the schedule for the generic Edge capability with the specified ID.","operationId":"updateGenericSchedule","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"workflow","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeGenericScheduleRequest"}}}},"responses":{"200":{"description":"Synchronization schedule updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}},"201":{"description":"New Synchronization schedule created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Delete a schedule

> Deletes the schedule from the generic Edge capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/genericIntegration/{ingestibleId}/schedule":{"delete":{"tags":["GENERIC"],"summary":"Delete a schedule","description":"Deletes the schedule from the generic Edge capability with the specified ID.","operationId":"deleteGenericSchedule","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"workflow","in":"query","schema":{"type":"string"}}],"responses":{"204":{"description":"Capability synchronization schedule deleted"}}}}}}
```

## Retrieve all schedules

> Returns all schedules for the generic Edge capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Schedule":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"cronExpression":{"type":"string"},"cronTimeZone":{"type":"string"},"lastRunTimeStamp":{"type":"integer","format":"int64"},"nextRunDateLongValue":{"type":"integer","format":"int64"},"cronJson":{"type":"string"},"workflow":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/schedules":{"get":{"tags":["GENERIC"],"summary":"Retrieve all schedules","description":"Returns all schedules for the generic Edge capability with the specified ID.","operationId":"getGenericSchedules","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"All capability synchronization schedules","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Schedule"}}}}}}}}}
```

## Cancel a synchronization

> Cancel the synchronization of the generic Edge capability with the specified ID.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/genericIntegration/{ingestibleId}/cancel":{"delete":{"tags":["GENERIC"],"summary":"Cancel a synchronization","description":"Cancel the synchronization of the generic Edge capability with the specified ID.","operationId":"cancelCapabilityJob","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"workflow","in":"query","schema":{"type":"string"}}],"responses":{"404":{"description":"No job to cancel"}}}}}}
```

## Starts capability on Edge.

> Starts an Edge based capability job

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog Cloud Ingestions API","version":"1.0"},"tags":[{"name":"GENERIC","description":"Generic integration operations"}],"servers":[{"url":"/rest/catalog/1.0","variables":{}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"LegacyJobDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"createdBy":{"type":"string","format":"uuid"},"createdOn":{"type":"integer","format":"int64"},"lastModifiedBy":{"type":"string","format":"uuid"},"lastModifiedOn":{"type":"integer","format":"int64"},"system":{"type":"boolean"},"resourceType":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"userId":{"type":"string","format":"uuid"},"visibility":{"type":"integer","format":"int32"},"progressPercentage":{"type":"number","format":"double"},"cancelable":{"type":"boolean"},"startDate":{"type":"integer","format":"int64"},"endDate":{"type":"integer","format":"int64"},"state":{"type":"string"},"result":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/genericIntegration/{ingestibleId}/run":{"post":{"tags":["GENERIC"],"summary":"Starts capability on Edge.","description":"Starts an Edge based capability job","operationId":"startCapabilityJob","parameters":[{"name":"ingestibleId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"cloudIngestionJobId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"workflow","in":"query","schema":{"type":"string"}}],"requestBody":{"description":"Capability runtime arguments","content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"202":{"description":"Cloud synchronization job successfully started","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyJobDto"}}}}}}}}}
```
